# Uses of Class
org.apache.lucene.search.QueryVisitor

Packages that use QueryVisitor
Package
Description
org.apache.lucene.document
The logical representation of a `Document` for indexing and searching.
org.apache.lucene.search
Code to search indices.
org.apache.lucene.util.automaton
Finite-state automaton for regular expressions.

- ## Uses of QueryVisitor in org.apache.lucene.document

  Methods in org.apache.lucene.document with parameters of type QueryVisitor
  Modifier and Type
  Method
  Description
  `void`
  RangeFieldQuery.`visit(QueryVisitor visitor)`
  `void`
  XYDocValuesPointInGeometryQuery.`visit(QueryVisitor visitor)`

- ## Uses of QueryVisitor in org.apache.lucene.search

  Fields in org.apache.lucene.search declared as QueryVisitor
  Modifier and Type
  Field
  Description
  `static final QueryVisitor`
  QueryVisitor.`EMPTY_VISITOR`
  A QueryVisitor implementation that does nothing
  Methods in org.apache.lucene.search that return QueryVisitor
  Modifier and Type
  Method
  Description
  `QueryVisitor`
  QueryVisitor.`getSubVisitor(BooleanClause.Occur occur, Query parent)`
  Pulls a visitor instance for visiting child clauses of a query
  `static QueryVisitor`
  QueryVisitor.`termCollector(Set<Term> termSet)`
  Builds a `QueryVisitor` instance that collects all terms that may match a query
  Methods in org.apache.lucene.search with parameters of type QueryVisitor
  Modifier and Type
  Method
  Description
  `void`
  AutomatonQuery.`visit(QueryVisitor visitor)`
  `void`
  BlendedTermQuery.`visit(QueryVisitor visitor)`
  `void`
  BooleanQuery.`visit(QueryVisitor visitor)`
  `void`
  BoostQuery.`visit(QueryVisitor visitor)`
  `void`
  CombinedFieldQuery.`visit(QueryVisitor visitor)`
  `void`
  ConstantScoreQuery.`visit(QueryVisitor visitor)`
  `void`
  DisjunctionMaxQuery.`visit(QueryVisitor visitor)`
  `void`
  FieldExistsQuery.`visit(QueryVisitor visitor)`
  `void`
  FuzzyQuery.`visit(QueryVisitor visitor)`
  `void`
  IndexOrDocValuesQuery.`visit(QueryVisitor visitor)`
  `void`
  IndexSortSortedNumericDocValuesRangeQuery.`visit(QueryVisitor visitor)`
  `void`
  IndriQuery.`visit(QueryVisitor visitor)`
  `void`
  MatchAllDocsQuery.`visit(QueryVisitor visitor)`
  `void`
  MatchNoDocsQuery.`visit(QueryVisitor visitor)`
  `void`
  MultiPhraseQuery.`visit(QueryVisitor visitor)`
  `void`
  NGramPhraseQuery.`visit(QueryVisitor visitor)`
  `void`
  PatienceKnnVectorQuery.`visit(QueryVisitor visitor)`
  `void`
  PhraseQuery.`visit(QueryVisitor visitor)`
  `void`
  PointInSetQuery.`visit(QueryVisitor visitor)`
  `void`
  PointRangeQuery.`visit(QueryVisitor visitor)`
  `abstract void`
  Query.`visit(QueryVisitor visitor)`
  Recurse through the query tree, visiting any child queries.
  `void`
  RescoreTopNQuery.`visit(QueryVisitor visitor)`
  `void`
  SeededKnnVectorQuery.`visit(QueryVisitor visitor)`
  `void`
  SynonymQuery.`visit(QueryVisitor visitor)`
  `void`
  TermInSetQuery.`visit(QueryVisitor visitor)`
  `void`
  TermQuery.`visit(QueryVisitor visitor)`

- ## Uses of QueryVisitor in org.apache.lucene.util.automaton

  Methods in org.apache.lucene.util.automaton with parameters of type QueryVisitor
  Modifier and Type
  Method
  Description
  `void`
  CompiledAutomaton.`visit(QueryVisitor visitor, Query parent, String field)`
  Report back to a QueryVisitor how this automaton matches terms